Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultHighlighterFactory.SmoothPolygonHighlighter

    java.lang.Object
      jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
          jpicedt.graphic.view.DefaultHighlighterFactory.SmoothPolygonHighlighter

All Implemented Interfaces:
  Highlighter

Enclosing class:
  DefaultHighlighterFactory

public class DefaultHighlighterFactory.SmoothPolygonHighlighter
extends DefaultHighlighterFactory.DefaultHighlighter

a Highlighter for SmoothPolygon. So far, it is based on AbstractCurveHighlighter, except where computing tangents is concerned, since for SmoothPolygon's, tangents are specified by polygon-point's rather than Bezier-points.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`bounds, element, pointIndexIterator, ptBuffer, rectBuffer, shape`

Constructor Summary
`DefaultHighlighterFactory.SmoothPolygonHighlighter(PicSmoothPolygon curve)` construct a new Highlighter for the given smooth-polygon

Method Summary
`protected void` | `syncShape(double scale)` Synchronizes the highlighter's tangents with the model.

Methods inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`changedUpdate, getBounds, getControlPointsIterator, getElement, getHighlighterFactory, hitTest, paint, syncBounds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighterFactory.SmoothPolygonHighlighter

    public DefaultHighlighterFactory.SmoothPolygonHighlighter(PicSmoothPolygon curve)

  construct a new Highlighter for the given smooth-polygon

Method Detail

### syncShape

    protected void syncShape(double scale)

  Synchronizes the highlighter's tangents with the model. This method is called from inside `syncShape()` only, and is overriden so as to compute tangents based on polygon's points rather than Bezier-points. Also compute the ``envelope'' polygon which is used for adding a new point (hitTest method).

  Overrides:
    `syncShape` in class `DefaultHighlighterFactory.DefaultHighlighter`
  Parameters:
    `scale` - The current scale factor from-model-to-screen for the Graphics2D context ; this may be used to scale down line thickess, etc... so that e.g. barbells appear with the same size on the screen whatever the scale factor being set to the graphic context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org